Loading...
Searching...
No Matches
AV3DReferenceDisplay Struct Reference
libavutil » Video related » 3D Reference Displays Information

Data structure for single deference display information. More...

`#include <libavutil/tdrdi.h>`

## Data Fields

uint16_t | left_view_id
| The ViewId of the left view of a stereo pair corresponding to the n-th reference display.
uint16_t | right_view_id
| The ViewId of the left view of a stereo pair corresponding to the n-th reference display.
uint8_t | exponent_ref_display_width
| The exponent part of the reference display width of the n-th reference display.
uint8_t | mantissa_ref_display_width
| The mantissa part of the reference display width of the n-th reference display.
uint8_t | exponent_ref_viewing_distance
| The exponent part of the reference viewing distance of the n-th reference display.
uint8_t | mantissa_ref_viewing_distance
| The mantissa part of the reference viewing distance of the n-th reference display.
uint8_t | additional_shift_present_flag
| An array of flags to indicates that the information about additional horizontal shift of the left and right views for the n-th reference display is present.
int16_t | num_sample_shift
| The recommended additional horizontal shift for a stereo pair corresponding to the n-th reference baseline and the n-th reference display.

## Detailed Description

Data structure for single deference display information.

It is allocated as a part of AV3DReferenceDisplaysInfo and should be retrieved with av_tdrdi_get_display().

sizeof(AV3DReferenceDisplay) is not a part of the ABI and new fields may be added to it.

Definition at line 100 of file tdrdi.h.

## Field Documentation

## left_view_id

uint16_t AV3DReferenceDisplay::left_view_id

The ViewId of the left view of a stereo pair corresponding to the n-th reference display.

Definition at line 104 of file tdrdi.h.

## right_view_id

uint16_t AV3DReferenceDisplay::right_view_id

The ViewId of the left view of a stereo pair corresponding to the n-th reference display.

Definition at line 109 of file tdrdi.h.

## exponent_ref_display_width

uint8_t AV3DReferenceDisplay::exponent_ref_display_width

The exponent part of the reference display width of the n-th reference display.

Definition at line 114 of file tdrdi.h.

## mantissa_ref_display_width

uint8_t AV3DReferenceDisplay::mantissa_ref_display_width

The mantissa part of the reference display width of the n-th reference display.

Definition at line 119 of file tdrdi.h.

## exponent_ref_viewing_distance

uint8_t AV3DReferenceDisplay::exponent_ref_viewing_distance

The exponent part of the reference viewing distance of the n-th reference display.

Definition at line 124 of file tdrdi.h.

## mantissa_ref_viewing_distance

uint8_t AV3DReferenceDisplay::mantissa_ref_viewing_distance

The mantissa part of the reference viewing distance of the n-th reference display.

Definition at line 129 of file tdrdi.h.

## additional_shift_present_flag

uint8_t AV3DReferenceDisplay::additional_shift_present_flag

An array of flags to indicates that the information about additional horizontal shift of the left and right views for the n-th reference display is present.

Definition at line 135 of file tdrdi.h.

## num_sample_shift

int16_t AV3DReferenceDisplay::num_sample_shift

The recommended additional horizontal shift for a stereo pair corresponding to the n-th reference baseline and the n-th reference display.

Definition at line 141 of file tdrdi.h.

The documentation for this struct was generated from the following file:

- libavutil/tdrdi.h